// 初始化百度地图，并将BMapGL挂到window上

// 引入百度地图
export function installBMapGL(initMap, ak) {
  getMapScript(ak).then(initMap);
}

// 返回 BMapGL 的 promise
export function getMapScript(propsAk) {
  if (!global.BMapGL) {
    const ak = propsAk || window.sessionStorage.getItem("_ENN_BMapGL_ak");
    global.BMapGL = {};
    global.BMapGL._preloader = new Promise((resolve, reject) => {
      global._initBaiduMapGL = function() {
        resolve(global.BMapGL);
        global.document.body.removeChild($script);
        global.BMapGL._preloader = null;
        global._initBaiduMapGL = null;
        // global.document.body.removeChild($scriptlLib);
      };
      const $script = document.createElement("script");
      global.document.body.appendChild($script);
      $script.src = `https://api.map.baidu.com/api?v=1.0&type=webgl&ak=${ak}&callback=_initBaiduMapGL`;
    });
    return global.BMapGL._preloader;
  } else if (!global.BMapGL._preloader) {
    return Promise.resolve(global.BMapGL);
  } else {
    return global.BMapGL._preloader;
  }
}

export default installBMapGL;
