import App from './App.vue';
import About from './About.vue';
import Vue from 'vue';
import VueRouter from 'vue-router';

const router = new VueRouter({
  routes: [
    // 动态路径参数 以冒号开头
    { path: '/about', component: About },
    { path: '/basemap', component: () => import('./UseBaseMap.vue') },
  ]
})

Vue.use(VueRouter)

export default router